public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-shell-extension-pop-shell/
Date: Wed, 05 Mar 2025 18:12:31 +0000 (UTC)	[thread overview]
Message-ID: <1741198325.813bcd5d6e04fdc35f500e9e5a8625f41acb8dbd.pacho@gentoo> (raw)

commit:     813bcd5d6e04fdc35f500e9e5a8625f41acb8dbd
Author:     Philipp Rösner <rndxelement <AT> protonmail <DOT> com>
AuthorDate: Sat Mar  1 11:21:31 2025 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Wed Mar  5 18:12:05 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=813bcd5d

gnome-extra/gnome-shell-extension-pop-shell: add 1.2.0_p20250301

Use >=gnome-base/gnome-shell-46 as recommended in upstream README.md.

Signed-off-by: Philipp Rösner <rndxelement <AT> protonmail.com>
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 .../gnome-shell-extension-pop-shell/Manifest       |  1 +
 ...hell-extension-pop-shell-1.2.0_p20250301.ebuild | 61 ++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/gnome-extra/gnome-shell-extension-pop-shell/Manifest b/gnome-extra/gnome-shell-extension-pop-shell/Manifest
index 94532e08fc6f..c5f361faf3bd 100644
--- a/gnome-extra/gnome-shell-extension-pop-shell/Manifest
+++ b/gnome-extra/gnome-shell-extension-pop-shell/Manifest
@@ -1,2 +1,3 @@
 DIST gnome-shell-extension-pop-shell-1.2.0_p20241009.tar.gz 864473 BLAKE2B 5a54503b88dead60fd8f655e90873e2b5f857330cc1e58c84fb7f0c3b3b54a39b2923309a62e5ec5683f94047b51cf2a7f3b5bd5a310056a5fca81c8968d0f67 SHA512 f8f8993c39c1b5c24aa60d4aa18039432d3cae63ef45a1afc75669e96fc22f269b4906fc07a4b003b2c97a311cdc6e8de6fc55507606541f2e54cbf3d2aac090
 DIST gnome-shell-extension-pop-shell-1.2.0_p20241231.tar.gz 864496 BLAKE2B 3ded131af8da4babc6df535ba24eb3307a6db63dee3fe07ae192fe1accf2fa676f0d255936946372e18dbebd2831ab4da25f106c36a24c3f6d0b4d392eab33ae SHA512 60b80f59f41048ff727f70ce8cbe36b609c1e426a9e446092a73a22bbaa0f01c22bc24d9a83692258143b85a2c73d28847ea5a9061fe987cbef03b954a8c5722
+DIST gnome-shell-extension-pop-shell-1.2.0_p20250301.tar.gz 864736 BLAKE2B 6e1132d01fba05319f63aad80e339fa76e4bdbea7e3c5ad0c87d98a0dbd7a35c35446581c80f2481a74fe3e44a29b14c75e9f9101b7ee57d030cfdb1de1b1342 SHA512 c277b85c0fb541ec1b2c79d12dad15313918512e47a674857cd0be49985906980af91af585c2744a098fc73f0582bf249dee4d7b821815805213056b88d53527

diff --git a/gnome-extra/gnome-shell-extension-pop-shell/gnome-shell-extension-pop-shell-1.2.0_p20250301.ebuild b/gnome-extra/gnome-shell-extension-pop-shell/gnome-shell-extension-pop-shell-1.2.0_p20250301.ebuild
new file mode 100644
index 000000000000..d17df20c01ee
--- /dev/null
+++ b/gnome-extra/gnome-shell-extension-pop-shell/gnome-shell-extension-pop-shell-1.2.0_p20250301.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit gnome2-utils optfeature readme.gentoo-r1
+
+# Make sure to check upstream README.md for recommendations on which branch
+# to use for which Gnome shell version.
+EGIT_COMMIT="29869118d1b89e5fa2ee97d11f36f20343ecba4c"
+
+DESCRIPTION="Keyboard-driven layer for GNOME Shell with tiling support"
+HOMEPAGE="https://github.com/pop-os/shell"
+SRC_URI="https://github.com/pop-os/shell/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/shell-${EGIT_COMMIT}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+RDEPEND="
+	app-eselect/eselect-gnome-shell-extensions
+	>=gnome-base/gnome-shell-46
+	sys-apps/fd
+"
+BDEPEND="dev-lang/typescript"
+
+DOC_CONTENTS="To configure keybindings run /usr/lib/pop-shell/scripts/configure.sh as user"
+
+src_install() {
+	default
+
+	insinto /usr/share/glib-2.0/schemas
+	doins schemas/org.gnome.shell.extensions.pop-shell.gschema.xml
+
+	exeinto /usr/lib/pop-shell/scripts
+	doexe scripts/configure.sh
+
+	insinto /usr/share/gnome-control-center/keybindings
+	doins keybindings/*.xml
+
+	readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+	ebegin "Updating list of installed extensions"
+	eselect gnome-shell-extensions update
+	eend $?
+
+	gnome2_schemas_update
+
+	readme.gentoo_print_elog
+	optfeature "better tiling via native-window-placement" gnome-extra/gnome-shell-extensions
+}
+
+pkg_postrm() {
+	ebegin "Updating list of installed extensions"
+	eselect gnome-shell-extensions update
+	eend $?
+
+	gnome2_schemas_update
+}


             reply	other threads:[~2025-03-05 18:12 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-03-05 18:12 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-05 18:12 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-shell-extension-pop-shell/ Pacho Ramos
2025-01-26 17:32 Pacho Ramos
2025-01-26 17:32 Pacho Ramos
2024-12-02 13:00 Pacho Ramos
2024-12-02 13:00 Pacho Ramos
2024-12-02 13:00 Pacho Ramos
2024-12-02 13:00 Pacho Ramos
2024-03-02 23:30 Sam James
2023-11-12 12:28 Pacho Ramos
2023-07-21  7:54 Joonas Niilola
2023-07-21  7:54 Joonas Niilola
2022-10-11 13:44 Joonas Niilola
2022-09-22  5:02 Georgy Yakovlev
2022-08-01  2:33 Sam James
2021-07-28 16:18 Georgy Yakovlev
2021-07-28 16:18 Georgy Yakovlev
2021-06-04  6:20 Georgy Yakovlev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1741198325.813bcd5d6e04fdc35f500e9e5a8625f41acb8dbd.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox